Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class KeyValueMapping

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.KeyValueMapping

All Implemented Interfaces:
  org.springframework.binding.mapping.Mapping

    class KeyValueMapping

Mapping implementation that copies the value that corresponds with a key from a source Map to a target Map.

Property Summary
`java.lang.String` | `key`
`boolean` | `required`
`java.lang.Object` | `value`

Method Summary
`org.springframework.binding.expression.Expression` | `getSourceExpression()`
`org.springframework.binding.expression.Expression` | `getTargetExpression()`
`java.lang.Object` | `getValue(java.lang.Object context)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### key

    java.lang.String key

### required

    boolean required

### value

    java.lang.Object value

Method Detail

### getSourceExpression

    org.springframework.binding.expression.Expression getSourceExpression()

### getTargetExpression

    org.springframework.binding.expression.Expression getTargetExpression()

### getValue

    java.lang.Object getValue(java.lang.Object context)

### toString

    java.lang.String toString()

Groovy Documentation